#pragma once

// Genode includes
#include <base/connection.h>

// gapfruit includes
#include <check_certificate_session/client.h>


namespace Check_certificate
{
	struct Connection;
}


struct Check_certificate::Connection : Genode::Connection<Session>, Session_client
{
	/**
	 * Constructor
	 */
	Connection(Genode::Env &env, char const *label = "")
	:
		Genode::Connection<Session>(env, session(env.parent(),
		                                         "ram_quota=%ld, cap_quota=%ld, label=\"%s\"",
		                                         10*1024, CAP_QUOTA, label)),
		Session_client(env.rm(), cap())
	{
	}
};

